mobilesync_acknowledge_changes_from_device
mobilesync_actions_add
mobilesync_actions_free
mobilesync_actions_new
mobilesync_anchors_free
mobilesync_anchors_new
mobilesync_anchors_t
mobilesync_cancel
mobilesync_clear_all_records_on_device
mobilesync_client_free
mobilesync_client_new
mobilesync_client_start_service
mobilesync_client_t
mobilesync_error_t
mobilesync_finish
mobilesync_get_all_records_from_device
mobilesync_get_changes_from_device
mobilesync_ready_to_send_changes_from_computer
mobilesync_receive
mobilesync_receive_changes
mobilesync_remap_identifiers
mobilesync_send
mobilesync_send_changes
MOBILESYNC_SERVICE_NAME
mobilesync_start
mobilesync_sync_type_t

## mobilesync_client_new()

LIBIMOBILEDEVICE_API mobilesync_error_t mobilesync_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | mobilesync_client_t * | client )

Connects to the mobilesync service on the specified device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will be set to a newly allocated mobilesync_client_t upon successful return.

Return values

  MOBILESYNC_E_SUCCESS | on success
  MOBILESYNC_E_INVALID_ARG | if one or more parameters are invalid
  DEVICE_LINK_SERVICE_E_BAD_VERSION | if the mobilesync version on the device is newer.